VERSION_TAG=$(curl -Lfs "https://extensions.gnome.org/extension-query/?search=$1" | jq '.extensions[0] | .shell_version_map | map(.pk) | max')
wget -O $1.zip "https://extensions.gnome.org/download-extension/$1.shell-extension.zip?version_tag=$VERSION_TAG" -q
gnome-extensions install --force $1.zip -q
if ! gnome-extensions list | grep --quiet $1; then
	busctl --user call org.gnome.Shell.Extensions /org/gnome/Shell/Extensions org.gnome.Shell.Extensions InstallRemoteExtension s $1
fi
gnome-extensions enable $1
rm $1.zip