# Flatpak apps
flatpak install -u -y flathub com.jetbrains.IntelliJ-IDEA-Community
flatpak install -u -y flathub com.github.Murmele.Gittyup

# VSCodium
sudo rpmkeys --import https://gitlab.com/paulcarroty/vscodium-deb-rpm-repo/-/raw/master/pub.gpg
printf "[gitlab.com_paulcarroty_vscodium_repo]\nname=download.vscodium.com\nbaseurl=https://download.vscodium.com/rpms/\nenabled=1\ngpgcheck=1\nrepo_gpgcheck=1\ngpgkey=https://gitlab.com/paulcarroty/vscodium-deb-rpm-repo/-/raw/master/pub.gpg\nmetadata_expire=1h" | sudo tee -a /etc/yum.repos.d/vscodium.repo
sudo dnf install -y codium

# NodeJS
sudo dnf module install -y nodejs:18/development
curl -fsSL https://get.pnpm.io/install.sh | sh -
pnpm i -g @types/node typescript ts-node
